$DirExists = Test-Path "c:\wpr";
if ( $DirExists -eq $True )
	{echo "`n`rDirectory c:\wpr has existed. Make sure c:\wpr has at least 20GB space left.";}
else
	{mkdir "c:\wpr";echo "`n`rDirectory c:\wpr has been created just now. Make sure c:\wpr has at least 20GB space left.";}

$before1 = wpr -status -instancename CpuSession|Select-String "The profiles are already running.";
$before2 = wpr -status -instancename CpuSession|Select-String "WPR recording is in progress...";
#$before3 = wpr -status -instancename CpuSession|Select-String "WPR is not recording";
if ( $before1 -eq $null ) 
	{$i = 0;}
else
	{$i = 1;}

if ( $before2 -eq $null ) 
	{$j = 0;}
else
	{$j = 1;}

echo "`n`rInitializating, few minutes later you can go to c:\wpr to find cpu*.etl, and files (cpu1.etl-cpu60.etl) go round and begin again per hour.";
echo "`n`rDon't close the window!";

$times=0;

if (($i -or $j) -eq 1)
{
	if ( (Test-Path "c:\wpr\cpu$times.etl.NGENPDB") -eq $True )
		{
		Remove-Item -LiteralPath "c:\wpr\cpu$times.etl.NGENPDB" -Force -Recurse;
		echo "`n`rNew c:\wpr\cpu$times.etl.NGENPDB will be created in about 90s.";
		}
	wpr -stop c:\wpr\cpu0.etl -instancename CpuSession;
	$times=1;
}


for( $times; $times -le 60 ;$times++ )
{
	if ( (Test-Path "c:\wpr\cpu$times.etl.NGENPDB") -eq $True )
		{
		Remove-Item -LiteralPath "c:\wpr\cpu$times.etl.NGENPDB" -Force -Recurse;
		}
	echo "`n`rNew c:\wpr\cpu$times.etl.NGENPDB will be created in about 90s.";
	wpr -start cpu -instancename CpuSession;

	for($k=1;$k -le 3;$k++)
	{
		wpr -status -instancename CpuSession;
		Start-Sleep -Milliseconds 19650;
	}
	wpr -status -instancename CpuSession;
	wpr -stop c:\wpr\cpu$times.etl -instancename CpuSession;
	if($times -eq 60)
	{$times=0;}
}